Bug 244775 - SELinux is preventing /usr/libexec/postfix/showq (postfix_showq_t) "read" to (null) (postfix_master_t).
SELinux is preventing /usr/libexec/postfix/showq (postfix_showq_t) "read" to ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 4Suite (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 00:37 EDT by Ashish Shukla
Modified: 2008-06-16 21:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashish Shukla 2007-06-19 00:37:56 EDT
Description of problem:
Got SELinux AVC denials when did "sudo /usr/sbin/postqueue -p" to produce mail
queue listing.

Version-Release number of selected component (if applicable):
selinux-policy-2.6.4-14.fc7
selinux-policy-targeted-2.6.4-14.fc7

How reproducible:
Reproducible everytime.

Steps to Reproduce:
1. Execute Terminal
2. In the terminal, execute "sudo /usr/sbin/postqueue -p" command
3.
  
Actual results:
SELinux denial

Expected results:
No SELinux denial

Additional info:
Summary
    SELinux is preventing /usr/libexec/postfix/showq (postfix_showq_t) "read" to
    (null) (postfix_master_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/postfix/showq. It is not
    expected that this access is required by /usr/libexec/postfix/showq and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for (null), restorecon -v (null) If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:postfix_showq_t
Target Context                system_u:system_r:postfix_master_t
Target Objects                (null) [ file ]
Affected RPM Packages         postfix-2.4.3-2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-14.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     chatteau.d.lf
Platform                      Linux chatteau.d.lf 2.6.21-1.3228.fc7 #1 SMP Tue
                              Jun 12 14:56:37 EDT 2007 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 19 Jun 2007 09:48:59 AM IST
Last Seen                     Tue 19 Jun 2007 10:03:42 AM IST
Local ID                      d76ae5e4-682e-43d4-a9d3-e348418869c0
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="showq" cwd="/var/spool/postfix" dev=08:15 egid=0
euid=0 exe="/usr/libexec/postfix/showq" exit=0 fsgid=0 fsuid=0 gid=0
inode=10849215 item=1 items=2 mode=0100755 name="[9029]"
obj=system_u:object_r:ld_so_t:s0 ogid=0 ouid=0 path=(null) pid=5004 rdev=00:00
scontext=system_u:system_r:postfix_showq_t:s0 sgid=0
subj=system_u:system_r:postfix_showq_t:s0 suid=0 tclass=file
tcontext=system_u:system_r:postfix_master_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-06-19 08:23:58 EDT
Fixed in selinux-policy-2.6.4-17
Comment 2 Ashish Shukla 2007-06-29 14:20:46 EDT
Summary
    SELinux is preventing /usr/libexec/postfix/showq (postfix_showq_t) "read" to
    (null) (postfix_master_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/postfix/showq. It is not
    expected that this access is required by /usr/libexec/postfix/showq and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for (null), restorecon -v (null) If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:postfix_showq_t
Target Context                system_u:system_r:postfix_master_t
Target Objects                (null) [ file ]
Affected RPM Packages         postfix-2.4.3-2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-21.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     chatteau.d.lf
Platform                      Linux chatteau.d.lf 2.6.21-1.3228.fc7 #1 SMP Tue
                              Jun 12 14:56:37 EDT 2007 x86_64 x86_64
Alert Count                   3
First Seen                    Tue 19 Jun 2007 09:48:59 AM IST
Last Seen                     Fri 29 Jun 2007 11:38:15 PM IST
Local ID                      d76ae5e4-682e-43d4-a9d3-e348418869c0
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="showq" cwd="/var/spool/postfix" dev=08:15 egid=0
euid=0 exe="/usr/libexec/postfix/showq" exit=0 fsgid=0 fsuid=0 gid=0
inode=10849215 item=1 items=2 mode=0100755 name="[9297]"
obj=system_u:object_r:ld_so_t:s0 ogid=0 ouid=0 path=(null) pid=10163 rdev=00:00
scontext=system_u:system_r:postfix_showq_t:s0 sgid=0
subj=system_u:system_r:postfix_showq_t:s0 suid=0 tclass=file
tcontext=system_u:system_r:postfix_master_t:s0 tty=(none) uid=0

Comment 3 Ashish Shukla 2007-07-14 15:55:37 EDT
Summary
    SELinux is preventing /usr/libexec/postfix/showq (postfix_showq_t) "read" to
    (null) (postfix_master_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/postfix/showq. It is not
    expected that this access is required by /usr/libexec/postfix/showq and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for (null), restorecon -v (null) If
    this does not work, there is currently no automatic way to allow this
    access. Instead,  you can generate a local policy module to allow this
    access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you
    can disable SELinux protection altogether. Disabling SELinux protection is
    not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:postfix_showq_t
Target Context                system_u:system_r:postfix_master_t
Target Objects                (null) [ file ]
Affected RPM Packages         postfix-2.4.3-2.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-26.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     chatteau.d.lf
Platform                      Linux chatteau.d.lf 2.6.21-1.3228.fc7 #1 SMP Tue
                              Jun 12 14:56:37 EDT 2007 x86_64 x86_64
Alert Count                   4
First Seen                    Tue 19 Jun 2007 09:48:59 AM IST
Last Seen                     Sun 15 Jul 2007 12:50:35 AM IST
Local ID                      d76ae5e4-682e-43d4-a9d3-e348418869c0
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="showq" cwd="/var/spool/postfix" dev=08:15 egid=0
euid=0 exe="/usr/libexec/postfix/showq" exit=0 fsgid=0 fsuid=0 gid=0
inode=10849240 item=1 items=2 mode=0100755 name="[9077]"
obj=system_u:object_r:ld_so_t:s0 ogid=0 ouid=0 path=(null) pid=4937 rdev=00:00
scontext=system_u:system_r:postfix_showq_t:s0 sgid=0
subj=system_u:system_r:postfix_showq_t:s0 suid=0 tclass=file
tcontext=system_u:system_r:postfix_master_t:s0 tty=(none) uid=0

Comment 4 Daniel Walsh 2007-07-16 10:11:28 EDT
Fixed in selinux-policy-2.6.4-29.fc7

Not sure if this actually prevents anything, though.
Comment 5 Bug Zapper 2008-05-14 09:11:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:38:58 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.